cubicweb #2392126 easy_install: iIssue running a cubicweb-blog instance [open]

Dear technical supporter,

I have just sent an email and M Thénault asked me to create a new ticket to report the issue I explain below.

We have installed cubic-web and all its dependencies as explained at http://docs.cubicweb.org/admin/setup.html#setupenv using VirtualEnv. We are using PostgreSQL v9.1 as our database and we wanted to evaluate cubic-web using one of your simple projects cubicweb-blog. We installed cubicweb-blog and followed the setup link at http://docs.cubicweb.org/tutorials/base/blog-in-five-minutes.html

Please find below the commands and results:

(cubicweb-env)epoitier@devstation3-pc ~ $ cubicweb-ctl create blog myblog

Creating the instance myblog
----------------------------

-> no need to create existing directory /home/epoitier/cubicweb-env/etc/cubicweb.d/myblog

Configuring the instance (all-in-one.conf)
------------------------------------------

Configuring the repository
--------------------------

Configuring the sources
-----------------------
:db-driver:
database driver (postgres, mysql, sqlite, sqlserver2005)
(default: postgres):
:db-name:
database name
(default: myblog):
:db-user:
database user
(default: cubicweb):
:db-password:
database password
:
confirm:

:login:
cubicweb manager account's login (this user will be created)
(default: admin):
:password:
cubicweb manager account's password
(required):
confirm:
-> set permissions to 0600 for /home/epoitier/cubicweb-env/etc/cubicweb.d/myblog/sources

Generic web configuration
-------------------------
:port:
http server port number (default to 8080)
:
Allow anonymous access ? [y/N]: y
-> generated config /home/epoitier/cubicweb-env/etc/cubicweb.d/myblog/all-in-one.conf
-> compiling message catalogs to /home/epoitier/cubicweb-env/etc/cubicweb.d/myblog/i18n
msgcat --use-first --sort-output --strict -o "cubicweb-env/etc/cubicweb.d/myblog/i18n/es_merged.po" "cubicweb-env/share/cubicweb/cubes/blog/i18n/es.po" "cubicweb-env/share/cubicweb/cubes/shared/i18n/es.po"
msgfmt "cubicweb-env/etc/cubicweb.d/myblog/i18n/es_merged.po" -o "cubicweb-env/etc/cubicweb.d/myblog/i18n/es/LC_MESSAGES/cubicweb.mo"
msgcat --use-first --sort-output --strict -o "cubicweb-env/etc/cubicweb.d/myblog/i18n/en_merged.po" "cubicweb-env/share/cubicweb/cubes/blog/i18n/en.po" "cubicweb-env/share/cubicweb/cubes/shared/i18n/en.po"
msgfmt "cubicweb-env/etc/cubicweb.d/myblog/i18n/en_merged.po" -o "cubicweb-env/etc/cubicweb.d/myblog/i18n/en/LC_MESSAGES/cubicweb.mo"
msgcat --use-first --sort-output --strict -o "cubicweb-env/etc/cubicweb.d/myblog/i18n/fr_merged.po" "cubicweb-env/share/cubicweb/cubes/blog/i18n/fr.po" "cubicweb-env/share/cubicweb/cubes/shared/i18n/fr.po"
msgfmt "cubicweb-env/etc/cubicweb.d/myblog/i18n/fr_merged.po" -o "cubicweb-env/etc/cubicweb.d/myblog/i18n/fr/LC_MESSAGES/cubicweb.mo"
-> no need to create existing directory /home/epoitier/cubicweb-env/var/lib/cubicweb/instances/myblog
-> no need to create existing directory /home/epoitier/cubicweb-env/var/lib/cubicweb/instances/myblog/backup

-> creation done for /home/epoitier/cubicweb-env/etc/cubicweb.d/myblog

Run db-create to create the system database ? [Y/n]: Y

Creating the system database
----------------------------
-> connecting to postgres database template1
WARNING
the user will need the following special access rights on the database:
CREATE/DROP DATABASE and / or USER

Connect as user ? ['cubicweb']:
Database myblog already exists -- do you want to drop it ? [Y/n]: Y
-> database myblog created.
-> connecting to postgres database myblog
WARNING
the user will need the following special access rights on the database:
CREATE LANGUAGE

Connect as user ? ['cubicweb']:
Create language plpythonu ? [Y/n]: n
Create language plpgsql ? [Y/n]: Y
-> database for instance myblog created and necessary extensions installed.

Run db-init to initialize the system database ? [Y/n]: Y

Initializing the system database
--------------------------------
-> creating tables  [....................]
-> inserting default user and default groups.
Traceback (most recent call last):
  File "/home/epoitier/cubicweb-env/bin/cubicweb-ctl", line 5, in
    pkg_resources.run_script('cubicweb==3.14.2', 'cubicweb-ctl')
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 489, in run_script
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg/pkg_resources.py", line 1207, in run_script
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/EGG-INFO/scripts/cubicweb-ctl", line 4, in
    run(sys.argv[1:])
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/cwctl.py", line 1001, in run
    CWCTL.run(args)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_common-0.57.1-py2.7.egg/logilab/common/clcommands.py", line 134, in run
    sys.exit(command.main_run(args, rcfile))
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_common-0.57.1-py2.7.egg/logilab/common/clcommands.py", line 263, in main_run
    self.run(args)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/cwctl.py", line 416, in run
    helper.postcreate(self.config.automatic)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/server/serverctl.py", line 199, in postcreate
    self.config.appid])
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_common-0.57.1-py2.7.egg/logilab/common/clcommands.py", line 134, in run
    sys.exit(command.main_run(args, rcfile))
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_common-0.57.1-py2.7.egg/logilab/common/clcommands.py", line 263, in main_run
    self.run(args)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/server/serverctl.py", line 395, in run
    str(self.config.config_level), config.appid])
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_common-0.57.1-py2.7.egg/logilab/common/clcommands.py", line 134, in run
    sys.exit(command.main_run(args, rcfile))
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_common-0.57.1-py2.7.egg/logilab/common/clcommands.py", line 263, in main_run
    self.run(args)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/server/serverctl.py", line 454, in run
    init_repository(config, drop=self.config.drop)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/server/__init__.py", line 209, in init_repository
    repo.vreg.set_schema(repo.schema)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/cwvreg.py", line 548, in set_schema
    self.reload(self.config.vregistry_path(), force_reload=False)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/cwvreg.py", line 576, in reload
    self.register_objects(path)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/cwvreg.py", line 634, in register_objects
    path, self.config.extrapath)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/vregistry.py", line 378, in register_objects
    self.load_file(filepath, modname)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/vregistry.py", line 433, in load_file
    module = load_module_from_name(modname)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_common-0.57.1-py2.7.egg/logilab/common/modutils.py", line 116, in load_module_from_name
    return load_module_from_modpath(dotted_name.split('.'), path, use_sys)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_common-0.57.1-py2.7.egg/logilab/common/modutils.py", line 156, in load_module_from_modpath
    module = load_module(curname, mp_file, mp_filename, mp_desc)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/entities/test/unittest_base.py", line 27, in
    from cubicweb.devtools.testlib import CubicWebTC
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/devtools/testlib.py", line 52, in
    from cubicweb.devtools import BASE_URL, fake, htmlparser, DEFAULT_EMPTY_DB_ID
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/devtools/fake.py", line 207, in
    class FakeSource(object):
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/devtools/fake.py", line 208, in FakeSource
    dbhelper = get_db_helper('sqlite')
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_database-1.8.1-py2.7.egg/logilab/database/__init__.py", line 61, in get_db_helper
    return _ADV_FUNC_HELPER_DIRECTORY[driver]()
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_database-1.8.1-py2.7.egg/logilab/database/__init__.py", line 692, in __init__
    self.dbapi_module = get_dbapi_compliant_module(self.backend_name)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_database-1.8.1-py2.7.egg/logilab/database/__init__.py", line 68, in get_dbapi_compliant_module
    mod = _ADAPTER_DIRECTORY.adapt(driver, prefered_drivers, pywrap=pywrap)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_database-1.8.1-py2.7.egg/logilab/database/__init__.py", line 153, in adapt
    module, modname = _import_driver_module(driver, prefered_drivers)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/logilab_database-1.8.1-py2.7.egg/logilab/database/__init__.py", line 189, in _import_driver_module
    raise ImportError('Unable to import a %s module' % driver)
ImportError: Unable to import a sqlite module

(cubicweb-env)epoitier@devstation3-pc ~ $ cubicweb-ctl list
CubicWeb 3.14.2 (system mode)

Available configurations:
* twisted
    web instance (in a twisted web server) client of a RQL server
* repository
    standalone RQL server
* all-in-one
    repository and web instance in the same twisted process

Available cubes (/home/epoitier/cubicweb-env/share/cubicweb/cubes):
* blog 1.9.1

Available instances (/home/epoitier/cubicweb-env/etc/cubicweb.d):
* myblog (all-in-one)

(cubicweb-env)epoitier@devstation3-pc ~ $ cubicweb-ctl start -D myblog
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/abstract.py:116: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.ILoggingContext)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/abstract.py:159: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  interfaces.IConsumer, interfaces.ITransport, interfaces.IHalfCloseableDescriptor)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/base.py:36: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IDelayedCall)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/base.py:220: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IResolverSimple)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/base.py:278: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IResolverSimple)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/base.py:460: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IReactorCore, IReactorTime, IReactorPluggableResolver)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/base.py:997: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IConnector)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/address.py:26: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IAddress)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/address.py:74: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IAddress)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/task.py:673: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IReactorTime)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/tcp.py:166: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.ITCPTransport, interfaces.ISystemHandle)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/tcp.py:582: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IListeningPort)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/udp.py:60: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  interfaces.ISystemHandle)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/udp.py:332: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IMulticastTransport)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/protocol.py:30: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IProtocolFactory, interfaces.ILoggingContext)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/protocol.py:496: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IProtocol, interfaces.ILoggingContext)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/protocol.py:531: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IConsumer)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/protocol.py:546: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IProtocol)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/protocol.py:568: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IProcessProtocol)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/protocol.py:710: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.ILoggingContext)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/protocol.py:755: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.ITransport)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/unix.py:188: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IUNIXDatagramTransport)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/unix.py:268: DeprecationWarning: The implementsOnly API is deprecated, and will not work in Python3  Use the @implementer_only class decorator instead.
  *(implementedBy(base.BasePort)))
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/process.py:605: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IProcessTransport)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/process.py:926: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IProcessTransport)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/posixbase.py:243: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(_IReactorArbitrary, IReactorTCP, IReactorUDP, IReactorMulticast)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/internet/pollreactor.py:53: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IReactorFDSet)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/protocols/basic.py:878: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IProducer)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/web/http.py:552: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IConsumer)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/cred/credentials.py:115: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IUsernameHashedPassword, IUsernameDigestHash)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/cred/credentials.py:368: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IUsernameHashedPassword)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/cred/credentials.py:402: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IUsernameHashedPassword)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/cred/credentials.py:413: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IUsernamePassword)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/cred/credentials.py:424: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IAnonymous)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/cred/credentials.py:453: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(ISSHPrivateKey)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/cred/credentials.py:478: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IPluggableAuthenticationModules)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/spread/jelly.py:102: DeprecationWarning: the sets module is deprecated
  import sets as _sets
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/spread/jelly.py:323: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IJellyable)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/spread/jelly.py:346: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IUnjellyable)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/spread/flavors.py:138: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IPBRoot)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/spread/pb.py:223: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IPerspective)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/spread/pb.py:280: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IUnjellyable)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/spread/pb.py:1305: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IPBRoot)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/spread/pb.py:1388: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IUsernameHashedPassword, IUsernameMD5Password)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/web/resource.py:79: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(IResource)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/web/server.py:61: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(iweb.IRequest)
/home/epoitier/cubicweb-env/lib/python2.7/site-packages/Twisted-12.0.0-py2.7-linux-x86_64.egg/twisted/web/static.py:671: DeprecationWarning: The implements API is deprecated, and will not work in Python3  Use the @implementer class decorator instead.
  implements(interfaces.IPullProducer)
2012-06-04 12:23:26 - (cubicweb.repository) INFO: starting repository from /home/epoitier/cubicweb-env/etc/cubicweb.d/myblog
2012-06-04 12:23:26 - (logilab.database) INFO: connecting to myblog@localhost for user cubicweb
2012-06-04 12:23:26 - (cubicweb.repository) INFO: loading schema from the repository
2012-06-04 12:23:26 - (cubicweb.bootstrapschemaloader) INFO: loading /home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/schemas/bootstrap.py
2012-06-04 12:23:26 - (cubicweb.repository) INFO: set schema bootstrap 0x1f13c90
2012-06-04 12:23:26 - (cubicweb.repository) DEBUG: deserializing db schema into myblog 0x1ebe890
2012-06-04 12:23:26 - (cubicweb.session) DEBUG: precommit session internal done
2012-06-04 12:23:26 - (cubicweb.session) DEBUG: postcommit session internal done
2012-06-04 12:23:26 - (cubicweb.session) DEBUG: rollback session internal done (no db activity)
2012-06-04 12:23:26 - (cubicweb.repository) INFO: set schema myblog 0x1ebe890
2012-06-04 12:23:26 - (cubicweb.session) DEBUG: rollback for session internal done
Traceback (most recent call last):
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/cwctl.py", line 165, in run_arg
    status = cmdmeth(appid)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/cwctl.py", line 519, in start_instance
    if helper.start_server(config) == 1:
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/etwist/twctl.py", line 42, in start_server
    return server.run(config)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/etwist/server.py", line 515, in run
    root_resource = CubicWebRootResource(config, vreg=vreg)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/etwist/server.py", line 238, in __init__
    self.appli = CubicWebPublisher(config, vreg=vreg)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/web/application.py", line 282, in __init__
    self.repo = config.repository(vreg)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/web/webconfig.py", line 235, in repository
    repo = get_repository(self.repo_method, vreg=vreg, config=self)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/dbapi.py", line 103, in get_repository
    return Repository(config, vreg=vreg)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/server/repository.py", line 162, in __init__
    self.init_cnxset_pool()
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/server/repository.py", line 200, in init_cnxset_pool
    self.fill_schema()
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/server/repository.py", line 332, in fill_schema
    self.set_schema(appschema)
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/server/repository.py", line 299, in set_schema
    self.config.init_cubes(self.get_cubes())
  File "/home/epoitier/cubicweb-env/lib/python2.7/site-packages/cubicweb-3.14.2-py2.7.egg/cubicweb/server/repository.py", line 520, in get_cubes
    cubes.remove('cubicweb')
ValueError: list.remove(x): x not in list
instance myblog not started: list.remove(x): x not in list

So it seems that after creating the tables in PostgreSQL during the initialisation, it tries to create a database using sqlite, and the instance seems to be half completed which makes it impossible to use.

Please find below additional information as requested:

(cubicweb-env)epoitier@devstation3-pc ~ $ more cubicweb-env/etc/cubicweb.d/myblog/sources
[admin]

# cubicweb manager account's login (this user will be created)
login=admin

# cubicweb manager account's password
password=admin

[system]

# database driver (postgres, mysql, sqlite, sqlserver2005)
db-driver=postgres

# database host
db-host=

# database port
db-port=

# database name
db-name=myblog

# database user
db-user=cubicweb

# database password
db-password=cubicweb

# database encoding
db-encoding=utf8

# set to "Trusted_Connection" if you are using SQLServer and want trusted
# authentication for the database connection
db-extra-arguments=

Best regards,
Emmanuel Poitier
priorityimportant
typebug
done in<not specified>
closed by<not specified>